{% include './header.html' %}

<div class="container">
    <div id="welcome">
        <p>Please type a sentence. The service will mark time expressions of different types: date, time, duration, set.</p>
        <p><strong>Example sentence:</strong> <i>Am Anfang des Kalenderjahres 2019 wird es sehr kalt sein. Trotzdem geht Paul jeden Donnerstag spazieren, jeden Mittwoch auch. Das macht er schon mindestens 10 Jahre lang. Nur am 14.07.2010 ist er nicht gegangen, da er da eine Mandel-OP hatte. Jedoch will er das noch höchstens ein Jahr machen, weil er danach mehr Fahrrad fahren will. Das nächste Mal wird er morgen, um 14:00 Uhr gehen, danach schaut er mal, wie er Lust hat.</i></p>

    </div>

    <form id="form_user_input" method="get" action="">
      <input id="msg" type="text" class="form-control" name="msg" autofocus="autofocus" placeholder="Text snippet">
      <input type="submit" class="btn btn-primary" style="background-color:#0000ff; margin-top: 10px" value="Send">
    </form>

    <div id="result"></div>
</div>

{% include './footer.html' %}

<script>
// Attach a submit handler to the form
$( "#form_user_input" ).submit(function( event ) {

  // Stop form from submitting normally
  event.preventDefault();

  // Get form field value
  var msg = $("#msg").val();

  // clear form field
  $("#msg").val("");

  // clear result div
  $("#result").html("");
  $( "#result" ).append( '<p class="alert alert-warning" style="margin-top: 10px;">It takes about 5 seconds to calculate the result. Thanks for your patience.</strong>.</p>');


  // Send the data using ajax
  $.ajax({
    url: "https://demo.qurator.ai/pub/srv-heideltime",
    type: 'GET',
    data: {
        "msg": msg
    },
    contentType: 'text/plain',
    dataType: 'xml',
    error : function(err) {
        console.log('Error!', err);
    },
    success: function(data) {
        console.log('Success!');
        $("#result").html("");
        var xmlText = new XMLSerializer().serializeToString(data);
        var xmlTextNode = document.createTextNode(xmlText);
        $("#result").append(xmlTextNode);
    }
  });

});

</script>
</body>
</html>
